## gwenview-i18n-trinity 14.0.6

=== CMakeLists.txt ===
#################################################
#
#  (C) 2018 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( gwenview-i18n )
set( VERSION R14.0.6 )


##### include essential cmake modules ###########

include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation"         ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### build translations for all languages #####

if( BUILD_TRANSLATIONS )
  file( GLOB_RECURSE po_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} */messages/*.po )

  foreach( _po ${po_files} )
    string( REPLACE "/" ";" _path "${_po}" )
    list( GET _path 0 _lang )
    tde_create_translation( FILES ${_po} LANG ${_lang} )
  endforeach( )
endif( )


###### subdirectories ###########################

tde_auto_add_subdirectories( )

## gwenview-i18n-trinity 3.5.13.2

=== debian/changelog ===
gwenview-i18n-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:10:09 +0200

gwenview-i18n-trinity (4:3.5.13-1debian0+ax0~squeeze) squeeze; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Aug 2012 18:48:28 +0200

gwenview-i18n (1.4.2-4) unstable; urgency=low

  * Add a patch that includes numerous improvements to the Russian
    translation. This is not from upstream, but rather comes courtesy of
    Yaroslav Popovitch.

 -- Christopher Martin <chrsmrtn@debian.org>  Mon, 04 Aug 2008 18:56:14 -0400

gwenview-i18n (1.4.2-3) unstable; urgency=low

  * Further translation updates from the branch:
    nl tr
  * Update to Debian Policy 3.8.0. No changes.

 -- Christopher Martin <chrsmrtn@debian.org>  Sat, 07 Jun 2008 16:00:21 -0400

gwenview-i18n (1.4.2-2) unstable; urgency=low

  * Update to Debian Policy 3.7.3. Move Homepage from the package
    description to a regular debian/control field.
  * Update debhelper compatibility level to 6. No changes.
  * Tighten dependency on gwenview.

  * Update translations from the branch:
    es et hu ms nb pt zh_CN
  * Build non-English HTML handbooks for those languages that have one
    available.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 13 Jan 2008 14:32:26 -0500

gwenview-i18n (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Christopher Martin <chrsmrtn@debian.org>  Mon, 17 Sep 2007 19:31:17 -0400

gwenview-i18n (1.4.1-1) unstable; urgency=low

  * New upstream release, uploaded to unstable.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 26 Nov 2006 18:41:39 -0500

gwenview-i18n (1.4.0-1) experimental; urgency=low

  * Initial upload of the split-out Gwenview translations. To make
    the split smooth for Sid users, first upload to experimental.

 -- Christopher Martin <chrsmrtn@debian.org>  Sat, 21 Oct 2006 14:03:50 -0400

=== debian/control ===
Source: gwenview-i18n-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends-Indep: kdelibs4-trinity-dev (>= 4:3.4.3)
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 6.0.0), quilt, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.0
Homepage: http://gwenview.sourceforge.net

Package: gwenview-i18n-trinity
Architecture: all
Depends: gwenview-trinity (>= 1.4.2)
Replaces: gwenview-trinity (<< 1.4.0-1)
Description: Internationalization (i18n) for Gwenview, an image viewer for TDE
 This package provides internationalization (i18n) files (translations) for
 Gwenview, an image viewer for the Trinity Desktop Environment. See the 'gwenview'
 package description for more information.

## gwenview-i18n-trinity 14.0.4

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:06:07 +0200

## gwenview-i18n-trinity 14.0.5

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:03:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gwenview-i18n-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends-Indep: kdelibs4-trinity-dev (>= 4:3.4.3)
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 6.0.0), quilt, automake, autoconf, libtool, libltdl-dev
+Build-Depends-Indep: tdelibs14-trinity-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.0
 Homepage: http://gwenview.sourceforge.net

=== debian/rules ===
#! /usr/bin/make -f

DEB_PATCHDIRS := debian/patches/common debian/patches

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

-include debian/debiandirs

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_INSTALL_DOCS_ALL :=

DOC_LANGS = da de et fr it nl pl pt ru sv pt_BR

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	./configure $(configkde)
	touch debian/stamp-bootstrap

build: debian/build-stamp

debian/build-stamp:
	dh_testdir
	$(MAKE) $(DEB_MAKE_PARALLEL)
	touch debian/build-stamp

install/gwenview-i18n-trinity::
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(CURDIR)/debian/gwenview-i18n-trinity $(DEB_MAKE_PARALLEL)

	for LANG in $(DOC_LANGS); do \
		cd $(CURDIR)/debian/gwenview-i18n-trinity/$(kde_htmldir)/$$LANG/gwenview; \
		$(kde_prefix)/bin/meinproc $(DEB_DESTDIR)$(kde_htmldir)/$$LANG/gwenview/index.docbook; \
	done

## gwenview-i18n-trinity 14.0.6

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:01:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Build-Depends-Indep: tdelibs14-trinity-dev
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake
 Standards-Version: 3.8.0
 Homepage: http://gwenview.sourceforge.net

## gwenview-i18n-trinity 14.0.8

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:02 +0200

## gwenview-i18n-trinity 14.0.9

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:01:10 +0200

## gwenview-i18n-trinity 14.0.10

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## gwenview-i18n-trinity 14.0.11

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Oct 2021 23:58:38 +0200

## gwenview-i18n-trinity 14.0.12

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:25:15 +0100

## gwenview-i18n-trinity 14.0.13

=== debian/changelog ===
gwenview-i18n-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 24 Sep 2022 06:10:49 +0200

## gwenview-i18n-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
 
 project( gwenview-i18n )
-set( VERSION R14.0.6 )
 
 
 ##### include essential cmake modules ###########
@@ -25,8 +24,12 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Jan 2023 09:21:12 +0100

## gwenview-i18n-trinity 14.1.1

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Jan 2023 09:21:12 +0100

## gwenview-i18n-trinity 14.1.2

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Apr 2024 00:21:01 +0200

## gwenview-i18n-trinity 14.1.3

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 06 May 2024 23:17:00 +0200

## gwenview-i18n-trinity 14.1.4

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 22 Apr 2025 23:07:18 +0200

=== debian/control ===
Source: gwenview-i18n-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends-Indep: tdelibs14-trinity-dev
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
Standards-Version: 3.8.0
Homepage: http://gwenview.sourceforge.net

Package: gwenview-i18n-trinity
Architecture: all
Depends: gwenview-trinity (>= 1.4.2)
Replaces: gwenview-trinity (<< 1.4.0-1)
Description: Internationalization (i18n) for Gwenview, an image viewer for TDE
 This package provides internationalization (i18n) files (translations) for
 Gwenview, an image viewer for the Trinity Desktop Environment. See the
 'gwenview-trinity' package description for more information.

## gwenview-i18n-trinity 14.1.5~pre2

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 92982a79ebcc74384c968d6a39c9fd41a9f3d93b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gwenview-i18n-trinity 14.1.5

=== da/doc/CMakeLists.txt ===
tde_create_handbook(
  DESTINATION gwenview
  LANG da
)

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 22:18:40 +0100

## gwenview-i18n-trinity 14.1.6~pre2

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b9b1d6e8fab5ca308dc296d1dee41bae05442ec5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Nov 2025 22:34:01 +0100

## gwenview-i18n-trinity 14.1.6~pre3

=== debian/changelog ===
gwenview-i18n-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6b5e1cf8a94d2a3b47c09b2ae61c9cd5ca77e436
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Feb 2026 22:33:36 +0100

## gwenview-i18n-trinity 14.2.0~pre36

=== sv/doc/CMakeLists.txt ===
tde_create_handbook(
  DESTINATION gwenview
  LANG sv
)

=== debian/changelog ===
gwenview-i18n-trinity (4:14.2.0~pre36-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for aeaa2034e7d481a3f6c77456e5e0089546c8dd79
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends-Indep: tdelibs14-trinity-dev
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.0
 Homepage: http://gwenview.sourceforge.net

## gwenview-i18n-trinity 14.2.0~pre37

=== fr/doc/CMakeLists.txt ===
tde_create_handbook(
  DESTINATION gwenview
  LANG fr
)

=== it/doc/CMakeLists.txt ===
tde_create_handbook(
  DESTINATION gwenview
  LANG it
)

=== debian/changelog ===
gwenview-i18n-trinity (4:14.2.0~pre37-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for a87dab5c0f70b331253e7e9e6cdcb4d0c8a153d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 16:58:27 +0100

## gwenview-i18n-trinity 14.2.0~pre38

=== debian/changelog ===
gwenview-i18n-trinity (4:14.2.0~pre38-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 2418b46bf5d485992925d2bf2bf6d41051f075e2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Nov 2025 06:51:00 +0100

## gwenview-i18n-trinity 14.2.0~pre39

=== debian/changelog ===
gwenview-i18n-trinity (4:14.2.0~pre39-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ee76e3e5ae4b777cd25ac074437d49bc1e7a9ba6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 22 Nov 2025 22:50:57 +0100

## gwenview-i18n-trinity 14.2.0~pre40

=== debian/changelog ===
gwenview-i18n-trinity (4:14.2.0~pre40-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 44efa5cd6e3b0655211584c4121ab128984a5c9f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview-i18n

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Feb 2026 14:51:47 +0100
